#include "window.h"
#include "gamecore.h"
#include "exception.h"
#include <iostream>

int main(int argc, char *argv[])
{
	try
	{
		Window window(argc, argv, "Tank Game");
		GameCore game;
		window.eventLoop(&game);
		return 0;
	}
	catch (Exception e)
	{
		e.report();
		return 1;
	}
}
