#ifndef MATRIXH
#define MATRIXH

#include <vector>

template <class T>
class Matrix
{
	std::vector<T> data;
	unsigned int matrixWidth;
	unsigned int matrixHeight;
public:
	Matrix(unsigned int newWidth=0, unsigned int newHeight=0);
	T &at(unsigned int x, unsigned int y);
	const T &at(unsigned int x, unsigned int y) const;
	unsigned int width() const;
	unsigned int height() const;
	void resize(unsigned int newWidth, unsigned int newHeight);
};

#include "matrix.hpp"

#endif
