#ifndef MESHH
#define MESHH

#include "vertex.h"

#include <vector>

struct Mesh
{
	std::vector<vertex> vertices;
	std::vector<vertex> color;
	std::vector<vertex> normal;
	std::vector<vertex2> texture;
	std::vector<int> triangle;
};

bool load(const char *filename, Mesh &mesh);

#endif
