#include "random.h"

#include <stdlib.h>
#include <time.h>

bool Random::initialized = false;

Random::Random()
{
	if (!initialized)
	{
		srand(static_cast<unsigned int>(time(0)));
		initialized = true;
	}
}

int Random::number(int begin, int end)
{
	return int((static_cast<double>(rand()) / (RAND_MAX + 1.0)) * (end - begin) + begin);
}
