#ifndef TANKOBJECTH
#define TANKOBJECTH

#include "object.h"
#include <string>

class TankObject : public Object
{
	float tankHealth;
	std::string tankName;
public:
	TankObject() { Object::immobile = true; Object::mass = 1000.0f; tankHealth = 100.0f; }
	void contactEvent(Physics::Environment env);
	void damageEvent(Physics::Environment env, float damage);
	void name(const char *newName) { tankName = newName; }
	const std::string &name() { return tankName; }
	float health() { return tankHealth; }
};

#endif
